Foreman - Bug #33671

don't warn about apipie cache when using "rake config"

10/11/2021 07:10 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: Rake tasks
Target version:
Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8829,
https://github.com/theforeman/foreman/p
ull/8830
Description

foreman-rake config ... is often used in automation as an API to fetch/set config options. However, this sometimes includes the ugly
"API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache." warning, confusing the app trying to

fetch the config.

lets hide the warning when in "config" mode too.

Related issues:

Is duplicate of Foreman - Bug #33369: Print warnings subceptible to show up i... New

Associated revisions

Revision 701fffOb - 10/19/2021 02:57 PM - Evgeni Golov
Fixes #33671 - hide apipie warning in config

before this patch:

1. foreman-rake config -- -k use_shortname_for_vms

API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.

false
after this patch:

1. foreman-rake config -- -k use_shortname_for_vms
false

Revision 4321f1bd - 03/08/2022 09:02 AM - Evgeni Golov
Refs #33671 - print apipie warnings on stderr

warnings should go to stderr, so callers can filter them out, without
filtering the normal output

History

#1 -10/11/2021 07:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8829 added

#2 - 10/11/2021 07:16 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8830 added

#3 - 10/11/2021 08:58 AM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #33369: Print warnings subceptible to show up in a console session to stderr added
#4 - 10/19/2021 02:57 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#5 - 10/19/2021 03:01 PM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|701fff0b9d81b58428ef0d622dbb1aa2f732ca77.

#6 - 11/15/2021 04:23 PM - Amit Upadhye
- Category set to Rake tasks
